<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Outfit:wght@300;400;500&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./src/css/general.css"></link>
    <link rel="stylesheet" href="./src/css/access.css"></link>
    <script defer type="module" src="src/js/controller.js"></script>
    <title>Task Management - Signup</title>
  </head>
  <body>
    <div class="ellipse ellipse--purple"></div>
    <div class="ellipse ellipse--blue"></div>
    <main>
      <form class="form form--signup" action="/new_url" method="POST">
        <h1 class="form__heading">Create an account</h1>
        <div class="form__content">
          <div class="form__info">
            <div class="form__el">
              <p class="form__label">Full name</p>
              <div class="form__input__box">
                <div class="icon">
                  <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 22 22" fill="none">
                    <path d="M18.0833 18.7432C17.6655 17.5737 16.7448 16.5403 15.4641 15.8032C14.1834 15.0662 12.6142 14.6667 10.9998 14.6667C9.38552 14.6667 7.81631 15.0662 6.53559 15.8032C5.25486 16.5403 4.3342 17.5737 3.91638 18.7432" stroke="#9747FF" stroke-linecap="round"/>
                    <ellipse cx="11.0002" cy="7.33334" rx="3.66667" ry="3.66667" stroke="#9747FF" stroke-linecap="round"/>
                    </svg>
                </div>
                <input type="text" class="form__input__text input__name" placeholder="Enter your full name">
              </div>
            </div>
            <div class="form__el">
              <p class="form__label">E-mail</p>
              <div class="form__input__box">
                <div class="icon">
                  <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 22 22" fill="none">
                    <rect x="2.75" y="5.5" width="16.5" height="12.8333" rx="2" stroke="#9747FF"/>
                    <path d="M2.75 9.16666L10.1877 12.4723C10.7049 12.7022 11.2951 12.7022 11.8123 12.4723L19.25 9.16666" stroke="#9747FF"/>
                    </svg>
                </div>
                <input type="email" class="form__input__text input__email" placeholder="Enter your e-mail">
              </div>
            </div>
            <div class="form__el">
              <p class="form__label">Password</p>
              <div class="form__input__box">
                <div class="icon">
                  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="18" viewBox="0 0 16 18" fill="none">
                    <path d="M0.666504 10.25C0.666504 8.36438 0.666504 7.42157 1.25229 6.83579C1.83808 6.25 2.78089 6.25 4.6665 6.25H11.3332C13.2188 6.25 14.1616 6.25 14.7474 6.83579C15.3332 7.42157 15.3332 8.36438 15.3332 10.25V11.25C15.3332 14.0784 15.3332 15.4926 14.4545 16.3713C13.5758 17.25 12.1616 17.25 9.33317 17.25H6.66651C3.83808 17.25 2.42386 17.25 1.54518 16.3713C0.666504 15.4926 0.666504 14.0784 0.666504 11.25V10.25Z" stroke="#9747FF"/>
                    <path d="M11.6663 5.33333V4.41667C11.6663 2.39162 10.0247 0.75 7.99967 0.75V0.75C5.97463 0.75 4.33301 2.39162 4.33301 4.41667V5.33333" stroke="#9747FF" stroke-linecap="round"/>
                    <circle cx="7.99984" cy="11.75" r="1.83333" fill="#9747FF"/>
                    </svg>
                </div>
                <input type="password" class="form__input__text input__password" placeholder="Minimum 8 characters">
                <div class="icon">
                  <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M13.314 10.3594C13.3267 10.2414 13.3332 10.1214 13.3332 10C13.3332 8.15905 11.8408 6.66667 9.99984 6.66667C9.87839 6.66667 9.75847 6.67316 9.64039 6.68582L10.7416 7.78704C11.4336 8.0189 11.9809 8.56624 12.2128 9.25822L13.314 10.3594ZM7.83635 9.12442C7.72682 9.39479 7.6665 9.69035 7.6665 10C7.6665 11.2887 8.71117 12.3333 9.99984 12.3333C10.3095 12.3333 10.6051 12.273 10.8754 12.1635L11.6237 12.9117C11.1432 13.1803 10.5894 13.3333 9.99984 13.3333C8.15889 13.3333 6.6665 11.8409 6.6665 10C6.6665 9.41045 6.81955 8.85665 7.08809 8.37616L7.83635 9.12442Z" fill="#9747FF"/>
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M13.2961 14.5843L12.5551 13.8433C11.7489 14.2453 10.8871 14.5 9.99981 14.5C8.68424 14.5 7.42451 13.94 6.3193 13.1701C5.21724 12.4024 4.30717 11.4524 3.70164 10.737C3.2749 10.2328 3.23291 10.1476 3.23291 10C3.23291 9.85235 3.2749 9.76719 3.70164 9.26302C4.22302 8.64703 4.97016 7.85714 5.87123 7.15942L5.15889 6.44708C4.22876 7.18223 3.46733 7.992 2.93835 8.61696L2.88038 8.68524C2.54535 9.07925 2.23291 9.44668 2.23291 10C2.23291 10.5533 2.54535 10.9207 2.88038 11.3148L2.93835 11.383C3.57507 12.1353 4.54857 13.1553 5.74769 13.9906C6.94365 14.8238 8.4027 15.5 9.99981 15.5C11.193 15.5 12.3091 15.1226 13.2961 14.5843ZM7.84965 4.89519C8.5271 4.64977 9.24816 4.5 9.99981 4.5C11.5969 4.5 13.056 5.17621 14.2519 6.00936C15.451 6.84471 16.4245 7.86471 17.0613 8.61696L17.1192 8.68524C17.4543 9.07925 17.7667 9.44668 17.7667 10C17.7667 10.5533 17.4543 10.9208 17.1192 11.3148L17.0613 11.383C16.7136 11.7937 16.2657 12.2842 15.7354 12.7809L15.0279 12.0734C15.5322 11.6032 15.962 11.134 16.298 10.737C16.7247 10.2328 16.7667 10.1476 16.7667 10C16.7667 9.85235 16.7247 9.76719 16.298 9.26302C15.6924 8.54761 14.7824 7.59762 13.6803 6.82989C12.5751 6.05995 11.3154 5.5 9.99981 5.5C9.53991 5.5 9.08683 5.56843 8.64479 5.69034L7.84965 4.89519Z" fill="#9747FF"/>
                    <path d="M4.1665 1.66667L17.4998 15" stroke="#9747FF"/>
                    </svg>
                </div>
              </div>
            </div>
            <div class="form__el">
              <p class="form__label">Phone Number</p>
              <div class="form__input__box">
                <div class="icon">
                  <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 22 22" fill="none">
                    <path d="M17.7071 13.7071L20.3552 16.3552C20.7113 16.7113 20.7113 17.2887 20.3552 17.6448C18.43 19.57 15.3821 19.7866 13.204 18.153L11.6286 16.9714C9.88504 15.6638 8.33622 14.115 7.02857 12.3714L5.84701 10.796C4.21341 8.61788 4.43001 5.56999 6.35523 3.64477C6.71133 3.28867 7.28867 3.28867 7.64477 3.64477L10.2929 6.29289C10.6834 6.68342 10.6834 7.31658 10.2929 7.70711L9.27175 8.72825C9.10946 8.89054 9.06923 9.13846 9.17187 9.34373C10.3585 11.7171 12.2829 13.6415 14.6563 14.8281C14.8615 14.9308 15.1095 14.8905 15.2717 14.7283L16.2929 13.7071C16.6834 13.3166 17.3166 13.3166 17.7071 13.7071Z" stroke="#9747FF"/>
                    </svg>
                </div>
                <input type="tel" class="form__input__text input__phone" placeholder="+216 00 000 000" pattern="[0-9]{8}">
              </div>
            </div>
          </div>
          <div class="form__action">
            <button type="submit" class="btn btn--signup btn--purple"><p class="btn__text">Get Started</p></button>
            <div class="form__action__separator">
              <div class="line"></div>
              <p class="separator">or</p>
              <div class="line"></div>
            </div>
            <div class="form__footer">
              <button class="btn btn--google">
                <div class="icon">
                  <svg xmlns="http://www.w3.org/2000/svg" width="25" height="24" viewBox="0 0 25 24" fill="none">
                    <g clip-path="url(#clip0_181_3214)">
                      <path d="M24.2663 12.2764C24.2663 11.4607 24.2001 10.6406 24.059 9.83807H12.7402V14.4591H19.222C18.953 15.9494 18.0888 17.2678 16.8233 18.1056V21.1039H20.6903C22.9611 19.0139 24.2663 15.9274 24.2663 12.2764Z" fill="#4285F4"/>
                      <path d="M12.7401 24.0008C15.9766 24.0008 18.7059 22.9382 20.6945 21.1039L16.8276 18.1055C15.7517 18.8375 14.3627 19.252 12.7445 19.252C9.61388 19.252 6.95946 17.1399 6.00705 14.3003H2.0166V17.3912C4.05371 21.4434 8.2029 24.0008 12.7401 24.0008Z" fill="#34A853"/>
                      <path d="M6.00277 14.3003C5.50011 12.8099 5.50011 11.1961 6.00277 9.70575V6.61481H2.01674C0.314734 10.0056 0.314734 14.0004 2.01674 17.3912L6.00277 14.3003Z" fill="#FBBC04"/>
                      <path d="M12.7401 4.74966C14.4509 4.7232 16.1044 5.36697 17.3434 6.54867L20.7695 3.12262C18.6001 1.0855 15.7208 -0.034466 12.7401 0.000808666C8.2029 0.000808666 4.05371 2.55822 2.0166 6.61481L6.00264 9.70575C6.95064 6.86173 9.60947 4.74966 12.7401 4.74966Z" fill="#EA4335"/>
                    </g>
                    <defs>
                      <clipPath id="clip0_181_3214">
                        <rect width="24" height="24" fill="white" transform="translate(0.5)"/>
                      </clipPath>
                    </defs>
                  </svg>
                </div>
                <p class="btn__text">Continue with Google</p>
              </button>
              <p class="form__footer__text">Already have an account? <a href="login.html" class="form__text--special">Login</a></p>
            </div>
          </div>
        </div>
      </form>
      <div class="rectangle__1"></div>
    </main>
    <div class="rectangle__2"></div>
    <div class="rectangle__3"></div>
    <div class="icon__rectangle__1"></div>
    <div class="icon__rectangle__2"></div>
    <div class="icon__rectangle__3"></div>
    <div class="icon__rectangle__4"></div>
    <div class="rectangle__4"></div>
    <div class="rectangle__5"></div>
    <a href="dashboard.html" class="hidden"></a>
  </body>
  <script>
    if (window.location.href === 'http://localhost:1234/') window.location.replace('http://localhost:1234/signup.html');
  </script>
</html>
